=== debian/control ===
Source: cdemu-daemon-dmo
Section: misc
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://cdemu.sourceforge.io/about/daemon/
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), libglib2.0-dev (>= 2.28), libao-dev (>= 0.8.0), 
 libmirage-dev (>= 1:3.2.5~), cmake (>= 3.7.0~), intltool, ninja-build

Package: cdemu-daemon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, procps, dbus-user-session, vhba-dkms (>= 20170610~), libmirage-plugin (>= 1:3.2.5~)
Description: daemon for CDEmu
 This is CDEmu daemon, the daemon part of the CDEmu suite, a free, GPL
 CD/DVD-ROM device emulator for Linux.
 .
 It receives SCSI commands from kernel module and processes them, passing
 the requested data back to the kernel. Daemon implements the actual
 virtual device; one instance per each device registered by kernel module. 
 It uses libMirage, an image access library that is part of CDEmu suite, for
 the image access (e.g. sector reading).
 .
 The daemon registers itself on D-BUS' system or session bus (depending on
 the options passed to it) where it exposes an interface that can be used by
 clients to control it.
