## cdemu-daemon-dmo 3.2.6

=== debian/changelog ===
cdemu-daemon-dmo (3.2.6-dmo3) unstable; urgency=medium

  * Increase libmirage-plugin version to 1:3.2.5

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Feb 2023 11:35:51 +0100

cdemu-daemon-dmo (3.2.6-dmo2) unstable; urgency=medium

  * Fix postinst and prerm scripts with missing functions.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 11 Feb 2023 18:48:34 +0100

cdemu-daemon-dmo (3.2.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Dec 2021 09:19:44 +0100

cdemu-daemon-dmo (3.2.5-dmo3) unstable; urgency=medium

  * Should Depends on libmirage-plugin
  * Install systemd and dbus service example files (Thanks to  Ильяс Гасанов
    for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 13 Nov 2021 11:04:13 +0100
