=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://cdemu.sourceforge.io/about/daemon/
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), libglib2.0-dev (>= 2.28), libao-dev (>= 0.8.0), 
  libmirage-dev (>= 1:3.2.5~), cmake (>= 3.7.0~), intltool, ninja-build
