## cdemu-daemon-dmo 3.2.7

=== debian/changelog ===
cdemu-daemon-dmo (1:3.2.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 09 Jul 2024 08:45:35 +0200

cdemu-daemon-dmo (3.2.6-dmo4) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Mar 2024 11:44:35 +0100
