## cdemu-daemon-dmo 3.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,8 @@
-cmake_minimum_required(VERSION 3.7)
-project(cdemu-daemon VERSION 3.2.5 LANGUAGES C)
+cmake_minimum_required(VERSION 3.16)
+project(cdemu-daemon VERSION 3.3.0 LANGUAGES C)
+
+option(ENABLE_LOGIND_SLEEP_HANDLER "Enable support for systemd-logind sleep/hibernation signal handler." ON)
+option(PEDANTIC_MODE "Enable -pedantic flag on gcc compiler" OFF)
 
 # Additional CMake modules
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
@@ -16,8 +19,16 @@
 find_package(IntlTool 0.21 REQUIRED)
 find_package(Gettext 0.15 REQUIRED)
 
+if(ENABLE_LOGIND_SLEEP_HANDLER)
+    # Acquiring sleep inhibitor lock via D-Bus requires GDBus bindings
+    # generated with support for GLib >= 2.64
+    set(MIN_GLIB_VERSION 2.64)
+else()
+    set(MIN_GLIB_VERSION 2.38)
+endif()
+
 pkg_check_modules(LIBMIRAGE REQUIRED libmirage>=3.2.0 IMPORTED_TARGET)
-pkg_check_modules(GLIB REQUIRED glib-2.0>=2.38 gobject-2.0>=2.38 gthread-2.0>=2.38 gio-2.0>=2.38 IMPORTED_TARGET)
+pkg_check_modules(GLIB REQUIRED glib-2.0>=${MIN_GLIB_VERSION} gobject-2.0>=${MIN_GLIB_VERSION} gthread-2.0>=${MIN_GLIB_VERSION} gio-2.0>=${MIN_GLIB_VERSION} IMPORTED_TARGET)
 pkg_check_modules(AO REQUIRED ao>=0.8.0 IMPORTED_TARGET)
 
 # Global definitions
@@ -26,11 +37,13 @@
 if(CMAKE_COMPILER_IS_GNUCC)
     # Enable additional warnings
     add_definitions(-Wall -Wextra -Wshadow -Wmissing-declarations -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wcast-align)
-    add_definitions(-Wno-cast-function-type)
+    if(PEDANTIC_MODE)
+        add_definitions(-pedantic)
+    endif()
 endif()
 
 # Config file
-configure_file(${PROJECT_SOURCE_DIR}/config.h.in ${PROJECT_BINARY_DIR}/config.h)
+configure_file(${PROJECT_SOURCE_DIR}/src/config.h.in ${PROJECT_BINARY_DIR}/config.h)
 
 set(CMAKE_INCLUDE_CURRENT_DIR TRUE)
 
@@ -53,11 +66,51 @@
     src/main.c
 )
 
+# GDBus bindings for org.freedesktop.login1
+if(ENABLE_LOGIND_SLEEP_HANDLER)
+    # gdbus-codegen
+    pkg_get_variable(GDBUS_CODEGEN gio-2.0 gdbus_codegen)
+    if(GDBUS_CODEGEN STREQUAL "")
+        message(FATAL_ERROR "Could not gdbus-codegen executable!")
+    else()
+        message(STATUS "Found gdbus-codegen: ${GDBUS_CODEGEN}")
+    endif()
+
+    add_custom_command(
+        OUTPUT ${PROJECT_BINARY_DIR}/freedesktop-login-manager.h ${PROJECT_BINARY_DIR}/freedesktop-login-manager.c
+        COMMAND ${GDBUS_CODEGEN}
+        --interface-prefix org.freedesktop.login1 --c-generate-autocleanup all --c-namespace FreedesktopLogin --glib-min-required ${MIN_GLIB_VERSION}
+        --header --pragma-once --output ${PROJECT_BINARY_DIR}/freedesktop-login-manager.h ${PROJECT_SOURCE_DIR}/src/org.freedesktop.login1.xml
+        COMMAND ${GDBUS_CODEGEN}
+        --interface-prefix org.freedesktop.login1 --c-generate-autocleanup all --c-namespace FreedesktopLogin --glib-min-required ${MIN_GLIB_VERSION}
+        --body --pragma-once --output ${PROJECT_BINARY_DIR}/freedesktop-login-manager.c ${PROJECT_SOURCE_DIR}/src/org.freedesktop.login1.xml
+        DEPENDS ${PROJECT_SOURCE_DIR}/src/org.freedesktop.login1.xml
+        COMMENT "Generate GDBus bindings for org.freedesktop.login1"
+    )
+
+    list(APPEND cdemu-daemon_SOURCES
+        # auto-generated
+        ${PROJECT_BINARY_DIR}/freedesktop-login-manager.h
+        ${PROJECT_BINARY_DIR}/freedesktop-login-manager.c
+    )
+
+    # Before GLib 2.74, the `gio/gunixfdlist.h` header (required by the
+    # above GDBus bindings) belonged to UNIX-specific GIO interfaces,
+    # exposed through `gio-unix-2.0.pc` pkg-config file.
+    if(GLIB_glib-2.0_VERSION VERSION_LESS "2.74")
+        pkg_check_modules(GIO_UNIX REQUIRED gio-unix-2.0>=${MIN_GLIB_VERSION} IMPORTED_TARGET)
+    endif()
+endif()
+
 add_executable(cdemu-daemon ${cdemu-daemon_SOURCES})
 
 target_link_libraries(cdemu-daemon PRIVATE PkgConfig::GLIB)
 target_link_libraries(cdemu-daemon PRIVATE PkgConfig::LIBMIRAGE)
 target_link_libraries(cdemu-daemon PRIVATE PkgConfig::AO)
+
+if(ENABLE_LOGIND_SLEEP_HANDLER AND GLIB_glib-2.0_VERSION VERSION_LESS "2.74")
+    target_link_libraries(cdemu-daemon PRIVATE PkgConfig::GIO_UNIX)
+endif()
 
 # Installation
 install(TARGETS cdemu-daemon DESTINATION ${CMAKE_INSTALL_BINDIR})
@@ -71,12 +124,10 @@
 
 # *** Configuration summary ***
 message(STATUS "")
-message(STATUS "*** CDEmu daemon v.${PROJECT_VERSION} configuration summary ***")
-message(STATUS "Compiler and build info:")
-message(STATUS " C compiler: " ${CMAKE_C_COMPILER} ${CMAKE_C_COMPILER_ARG1})
-message(STATUS " C flags (Release): " ${CMAKE_C_FLAGS} ${CMAKE_C_FLAGS_RELEASE})
-message(STATUS " C flags (Debug): " ${CMAKE_C_FLAGS} ${CMAKE_C_FLAGS_DEBUG})
-message(STATUS " build type: " ${CMAKE_BUILD_TYPE})
+message(STATUS "*** CDEmu daemon v${PROJECT_VERSION} configuration summary ***")
 message(STATUS "Installation:")
 message(STATUS " install prefix: " ${CMAKE_INSTALL_PREFIX})
+message(STATUS "Options:")
+message(STATUS " pedantic mode: " ${PEDANTIC_MODE})
+message(STATUS " systemd-logind sleep/hibernation signal handler support: " ${ENABLE_LOGIND_SLEEP_HANDLER})
 message(STATUS "")
