=== debian/changelog ===
cdemu-daemon-dmo (1:3.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Feb 2026 17:17:28 +0100

cdemu-daemon-dmo (1:3.2.7-dmo1+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 06 Nov 2024 08:06:01 +0100
