=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: cdemu-daemon-dmo
 Section: misc
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://cdemu.sourceforge.io/about/daemon/
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), libglib2.0-dev (>= 2.28), libao-dev (>= 0.8.0), 
- libmirage-dev (>= 1:3.2.5~), cmake (>= 3.7.0~), intltool, ninja-build
+ libmirage-dev (>= 1:3.3.0~), cmake (>= 3.7.0~), intltool, ninja-build,
 
 Package: cdemu-daemon
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, procps, dbus-user-session, vhba-dkms (>= 20170610~), libmirage-plugin (>= 1:3.2.5~)
+Depends: ${shlibs:Depends}, ${misc:Depends}, procps, dbus-user-session, vhba-dkms (>= 20170610~), libmirage-plugin (>= 1:3.3.0~),
 Description: daemon for CDEmu
  This is CDEmu daemon, the daemon part of the CDEmu suite, a free, GPL
  CD/DVD-ROM device emulator for Linux.
