=== debian/watch ===
version=4

https://github.com/cdemu/cdemu/tags \
.*cdemu-daemon-@ANY_VERSION@@ARCHIVE_EXT@
